<h1>Status Opname {{statusOpname}}</h1>
<!-- <form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm"> -->
<p-panel>
    <p-header>
        {{'global.field.id' | translate}} : {{stockOpname.idStockOpname}}
        <!-- <ul class="nav justify-content-end">
                <li class="nav-item">
                    <a class="btn" (click)="print()" style="cursor: pointer;"><span><i class="fa fa-print"></i> &nbsp;{{'entity.action.print' | translate}}</span></a>
                </li>
                <li class="nav-item">
                    <a class="btn" (click)="previousState()" style="cursor: pointer;"><span><i class="fa fa-ban"></i> &nbsp;{{'entity.action.cancel' | translate}}</span></a>
                </li>
            </ul> -->
    </p-header>
    <div class="card-deck" style="margin-bottom: 15px;">
        <div class="card">
            <div class="card-block">
                <div class="form-group" [hidden]="true">
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input pInputText type="text" id="id" name="id" [(ngModel)]="stockOpname.idStockOpname" readonly />
                </div>
                <div class="row col-md-12">
                    <div class="col-md-4 form-group">
                        <label jhiTranslate="mpmApp.stockOpname.internal" for="field_internal">{{ 'mpmApp.stockOpname.internal' | translate }}</label>
                        <!-- <select class="form-control" id="field_internal" name="internal" [(ngModel)]="stockOpname.internalId">
                                <option [ngValue]="null"></option>
                                <option [ngValue]="branchOption.idInternal" *ngFor="let branchOption of branches; trackBy: trackBranchById">{{branchOption.organization.name}}</option>
                            </select> -->
                        <div class="input-group">
                            <input class="ui-inputtext ui-widget ui-state-default ui-corner-all" type="text" pInputText placeholder="Dealer" [(ngModel)]="namaInternal"
                                style="width: 100%" disabled />
                        </div>
                    </div>
                    <div class="col-md-4 form-group">
                        <label jhiTranslate="mpmApp.stockOpname.stockOpnameType" for="field_stockOpnameType">{{ 'mpmApp.stockOpname.stockOpnameType' | translate }}</label>
                        <!-- <select class="form-control" id="field_stockOpnameType" name="stockOpnameType" [(ngModel)]="stockOpname.stockOpnameTypeId">
                            <option [ngValue]="null"></option>
                            <option [ngValue]="stockOpnameTypeOption.idStockOpnameType" *ngFor="let stockOpnameTypeOption of stockopnametypes; trackBy: trackStockOpnameTypeById">{{stockOpnameTypeOption.description}}</option>
                        </select> -->
                        <p-dropdown [options]="stockopnametypes" [(ngModel)]="stockOpname.stockOpnameTypeId" optionLabel="description" [style]="{'width':'100%'}"
                            placeholder="Select Type"></p-dropdown>
                    </div>
                    <div class="col-md-4 form-group">
                        <label for="delaer">{{ 'mpmApp.stockOpname.facility' | translate }}</label>
                        <div class="input-group">
                            <input class="ui-inputtext ui-widget ui-state-default ui-corner-all" type="text" pInputText placeholder="Gudang" style="width: 100%"
                                [disabled]="true" />
                        </div>
                    </div>
                </div>
                <div class="row col-md-12">
                    <div class="col-md-4 form-group">
                        <label for="delaer">{{ 'mpmApp.stockOpname.container' | translate }}</label>
                        <div class="input-group">
                            <input class="ui-inputtext ui-widget ui-state-default ui-corner-all" type="text" pInputText placeholder="Rak" style="width: 100%"
                                [disabled]="true" />
                        </div>
                    </div>
                    <div class="col-md-4 form-group">
                        <label class="form-control-label" jhiTranslate="mpmApp.stockOpname.stockOpnameNumber" for="field_stockOpnameNumber">{{ 'mpmApp.stockOpname.stockOpnameNumber' | translate }}</label>
                        <input class="ui-inputtext ui-widget ui-state-default ui-corner-all" type="text" pInputText name="stockOpnameNumber" id="field_stockOpnameNumber"
                            [(ngModel)]="stockOpname.stockOpnameNumber" style="width: 100%" />
                    </div>
                    <div class="col-md-4 form-group">
                        <label jhiTranslate="mpmApp.stockOpname.calendar" for="field_calendar">{{ 'mpmApp.stockOpname.calendar' | translate }}</label>
                        <!-- <select class="form-control" id="field_calendar" name="calendar" [(ngModel)]="stockOpname.calendarId">
                            <option [ngValue]="null"></option>
                            <option [ngValue]="standardCalendarOption.idCalendar" *ngFor="let standardCalendarOption of standardcalendars; trackBy: trackStandardCalendarById">{{standardCalendarOption.description}}</option>
                        </select> -->
                        <p-dropdown [options]="standardcalendars" [(ngModel)]="stockOpname.calendarId" optionLabel="description" [style]="{'width':'100%'}"
                            placeholder="Select Calendar"></p-dropdown>
                    </div>
                </div>
                <div class="row col-md-12">
                    <div class="col-md-4 form-group" [hidden]="true">
                        <label class="form-control-label" jhiTranslate="mpmApp.stockOpname.dateCreated" for="field_dateCreated">{{ 'mpmApp.stockOpname.dateCreated' | translate }}</label>
                        <div class="input-group">
                            <p-calendar inputId="field_dateCreated" name="input_dateCreated" [(ngModel)]="stockOpname.dateCreated" dateFormat="dd-mm-yy"
                                [showTime]="true" hourFormat="24" [showSeconds]="true" [showIcon]="true"></p-calendar>
                        </div>
                    </div>
                </div>
                <div class="row" *ngIf="statusOpname == 120">
                    <div class="col-md-12 text-right">
                        <button pButton type="button" label="{{ 'mpmApp.stockOpname.button.import' | translate }}" class="btn-primary" [routerLink]="['/stock-opname', stockOpname.idStockOpname, 'upload']"></button>
                        <button pButton type="button" label="{{ 'mpmApp.stockOpname.button.upload' | translate }}" class="btn-primary"></button>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <jhi-stock-opname-item-input *ngIf="statusOpname != 61" [statusOpname]="statusOpname" [soItemsInput]="soItemsInParent" (inputData)="getInputData($event)"></jhi-stock-opname-item-input>
    <jhi-stock-opname-item-as-list [idStockOpname]="idStockOpname" [statusOpname]="statusOpname" (soItemsAsList)="getItemData($event)"
        [inputData]="inputData"></jhi-stock-opname-item-as-list>
    <div class="row" *ngIf="statusOpname == 120 || statusOpname == 122">
        <div class="col-md-12 text-right">
            <button pButton type="button" label="{{ 'entity.action.back' | translate }}" class="ui-button-secondary" [routerLink]="['/stock-opname']"></button>
            <button *ngIf="statusOpname == 120" pButton type="button" label="{{ 'mpmApp.stockOpname.button.save' | translate }}" class="btn-primary"
                (click)="save()"></button>
            <button *ngIf="statusOpname == 120" pButton type="button" label="{{ 'mpmApp.stockOpname.button.saveComplete' | translate }}"
                class="btn-primary" (click)="updateStatus()"></button>
            <button *ngIf="statusOpname == 122" pButton type="button" label="{{ 'mpmApp.stockOpname.button.approveAdjustment' | translate }}"
                class="btn-primary" (click)="updateStatus()">
            </button>
        </div>
    </div>
    <div class="row" *ngIf="statusOpname == 121">
        <div class="col-md-6">
            <button pButton type="button" label="{{ 'mpmApp.stockOpname.button.print' | translate }}" class="btn-primary" (click)="print()"></button>

        </div>
        <div class="col-md-6 text-right">
            <button pButton type="button" label="{{ 'mpmApp.stockOpname.button.check' | translate }}" class="btn-primary" (click)="cekUlang()"></button>
            <button pButton type="button" [routerLink]="['/', { outlets: { popup: ['stock-opname-popup-approval', idStockOpname ] } }]"
                label="{{ 'mpmApp.stockOpname.button.printEvent' | translate }}" class="btn-primary"></button>
        </div>
    </div>
    <div class="row" *ngIf="statusOpname == 61">
        <div class="col-md-12 text-right">
            <button pButton type="button" label="{{ 'entity.action.back' | translate }}" class="ui-button-secondary"></button>
            <button pButton type="button" label="{{ 'mpmApp.stockOpname.button.adjustment' | translate }}" class="btn-primary" (click)="updateStatus()"></button>
        </div>
    </div>
</p-panel>
<!-- </form> -->
<p-confirmDialog></p-confirmDialog>
